[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'Pipes' (#fcl)

# TOutputPipeStream.Seek

Sets the position in the stream

## Declaration

Source position: pipes.pp line 49

`public function TOutputPipeStream.Seek(`
`const Offset: Int64;`
`Origin: TSeekOrigin`
`):Int64; override;`

## Arguments

`Offset` |  | Offset, in bytes, starting at Origin
`Origin` |  | Where to start counting Offset bytes.

## Function result

New position of the stream.

## Description

Seek is overridden in TOutputPipeStream. Calling this method will always raise an exception: an output pipe is not seekable.

## Errors

An EPipeSeek exception is raised if this method is called.